/// Handlers for /help routes
module PrayerTracker.Handlers.Help

open Giraffe
open PrayerTracker

// GET: /help
let index : HttpHandler = fun next ctx -> task {
    return!
        Views.Help.index ()
        |> Views.Layout.help ctx.Strings["Help Index"].Value true
        |> renderHtml next ctx
}

/// Handlers for /help/requests routes
module Requests =
    
    // GET: /help/requests/edit
    let edit : HttpHandler = fun next ctx -> task {
        return!
            Views.Help.Requests.edit ()
            |> Views.Layout.help ctx.Strings["Add / Edit a Request"].Value false
            |> renderHtml next ctx
    }
    
    // GET: /help/requests/maintain
    let maintain : HttpHandler = fun next ctx -> task {
        return!
            Views.Help.Requests.maintain ()
            |> Views.Layout.help ctx.Strings["Maintain Requests"].Value false
            |> renderHtml next ctx
    }
    
    // GET: /help/requests/view
    let view : HttpHandler = fun next ctx -> task {
        return!
            Views.Help.Requests.view ()
            |> Views.Layout.help ctx.Strings["View Request List"].Value false
            |> renderHtml next ctx
    }
